extra-1.7.16: Extra functions I use.

Safe Haskell | Safe-Inferred
Language | Haskell2010

System.Info.Extra

Description

Extra functions for the current system info.

Synopsis

- module System.Info
- isWindows :: Bool
- isMac :: Bool

# Documentation

module System.Info

isWindows :: Bool Source #

Return `True` on Windows and `False` otherwise. A runtime version of `#ifdef minw32_HOST_OS`. Equivalent to `os == "mingw32"`, but: more efficient; doesn't require typing an easily mistypeable string; actually asks about your OS not a library; doesn't bake in 32bit assumptions that are already false. </rant>

    isWindows == (os == "mingw32")

isMac :: Bool Source #

Return `True` on Mac OS X and `False` otherwise.